Doctrine 2.0 mini tutorial error - The 'class-dir' argument is required for this driver

I am getting

orm:schema-tool => The supplied configuration uses the annotation metadata driver. The 'class-dir' argument is required for this driver.

When I try to follow the Doctrine 2.0 alpha (I know it's alpha) mini tutorial

I am on Windows 7 x64, wamp 2. I ran

php.exe doctrine.php orm:schema-tool --create

Answers


From within the same directory:

php.exe doctrine orm:schema-tool --create --class-dir=./Entities

Need Your Help

Python unittest mock an API key

python mocking api-key python-unittest

I'm writing unit tests for the Client class of client.py, which queries an API. Each test instantiates the client with c = client.Client("apikey"). Running one test at a time works fine, but runnin...

Querying a Self Joining table seems slow

sql sql-server

I have a table which holds a hierarchical list of locations. A location has a parent location, and a location have multiple siblings.